Bug 1265265 - Review Request: mlt - A multimedia framework designed for television broadcasting
Review Request: mlt - A multimedia framework designed for television broadcas...
Status: CLOSED DUPLICATE of bug 1351041
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Monteiro Basto
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1265222
  Show dependency treegraph
 
Reported: 2015-09-22 09:52 EDT by Gwyn Ciesla
Modified: 2016-06-29 02:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-29 02:06:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Gwyn Ciesla 2015-09-22 09:52:09 EDT
Description:
MLT is a LGPL multimedia framework designed for television broadcasting,
and melted is a GPL multi-unit video playout server with realtime
effects.

SPEC: https://fedorapeople.org/~limb/review/mlt/mlt.spec
SRPM: https://fedorapeople.org/~limb/review/mlt/mlt-0.9.8-1.fc22.src.rpm

Required for updated synfig and synfigstudio
Comment 1 Mamoru TASAKA 2015-09-22 10:49:02 EDT
So as far as I read 
 * bug 459979
 * https://bugzilla.rpmfusion.org/show_bug.cgi?id=527 

the problem with this package is that the source contains avformat support and at least this must be removed from the source tarball (not by "rm -rf" at %prep). I don't know kdenlive and kino, however as far as I read the previous review request these modules must be treated similarly. And the original bug report doubts that this package is far from useful without avformat support.

Is this situation changed? (repeatedly, at least avformat suppport or so must be removed from the tarball for Fedora inclusion)
Comment 2 Mamoru TASAKA 2015-09-22 11:04:47 EDT
Anyway I think you should contact with current rpmfusion side maintainer first.
Comment 3 Gwyn Ciesla 2015-09-22 11:11:30 EDT
Agreed.  I'm not sure, and I can't update synfig without it.  I'd like to avoid moving the whole stack to rpmfusion.
Comment 4 Gwyn Ciesla 2015-09-22 11:11:47 EDT
Sergio, any comments on the above?
Comment 5 Mamoru TASAKA 2015-09-22 11:52:16 EDT
If the files under src/modules creates really loadable (i.e. to be dlopen()ed) modules, one way is to modify source on Fedora to build modules acceptable on Fedora only, and on rpmfusion build full modules (if this approach is possible), like gstreamer1 (gstreamer1-plugins-bad-freeworld is built on rpmfusion side).
Comment 6 Sergio Monteiro Basto 2015-09-22 18:26:04 EDT
Hi, 
I don't know .
MLT BuildRequires ffmpeg-devel and libquicktime-devel from rpmfusion .
MLT have one /usr/lib64/mlt/libmltavformat.so .
I never done a freeworld package and IMO with RPMFusion idle is not a good idea , but you may try , I do not object .
I'm packager maintainer because no one take care of it and IMO is a important package but I don't know much about internals ....
Comment 7 Gwyn Ciesla 2015-12-08 11:19:59 EST
I made a build with avformat, kdenlive and kino removed.  Doesn't require ffmpeg.

SPEC: https://fedorapeople.org/~limb/review/mlt/mlt.spec
SRPM: https://fedorapeople.org/~limb/review/mlt/mlt-0.9.8-2.fc23.src.rpm
Comment 8 Kevin Kofler 2016-01-25 10:57:21 EST
The problem is that this will break the kdenlive package in RPM Fusion. The mlt package currently lives in RPM Fusion, kdenlive depends on it, and it wants the modules which we cannot ship in Fedora.
Comment 9 Gwyn Ciesla 2016-01-25 11:04:11 EST
Is there then someone who's willing to maintain ETL, synfig and synfigstudio in RPM Fusion?  If so, once that's in place I'll retire them in Fedora.
Comment 10 Mamoru TASAKA 2016-01-25 11:16:39 EST
So can't those modules take freeworld method? If such modules are to be dlopen()ed, I think it is worth trying.
Comment 11 Gwyn Ciesla 2016-01-25 11:20:18 EST
Unknown, and I lack the expertise, but patches are welcome.
Comment 12 Luya Tshimbalanga 2016-01-29 00:31:46 EST
(In reply to Jon Ciesla from comment #9)
> Is there then someone who's willing to maintain ETL, synfig and synfigstudio
> in RPM Fusion?  If so, once that's in place I'll retire them in Fedora.

Be in mind Synfigstudio is part of Fedora Design Suite. It will be nice to inform the suitation to Design team mailing list.
Comment 13 Sergio Monteiro Basto 2016-02-05 12:30:06 EST
(In reply to Luya Tshimbalanga from comment #12)
> Be in mind Synfigstudio is part of Fedora Design Suite. It will be nice to
> inform the suitation to Design team mailing list.

This is a good reason to have mlt in Fedora ...



(In reply to Jon Ciesla from comment #7)
> I made a build with avformat, kdenlive and kino removed.  Doesn't require
> ffmpeg.
> 
> SPEC: https://fedorapeople.org/~limb/review/mlt/mlt.spec
> SRPM: https://fedorapeople.org/~limb/review/mlt/mlt-0.9.8-2.fc23.src.rpm

I was looking for at it takes remove avformat, kdenlive and kino , but your mlt.spec is really different of the rpmfusion [1].


+#Source0:  https://github.com/mltframework/mlt/archive/v%%{version}.tar.gz
+#Created from the above with avformat, kdenlive and kino removed.
+Source0:   v%{version}.tar.gz

You have remove things from the source ? what and how ? have you a script of what is removed ? 

[1]
https://github.com/rpmfusion/mlt/blob/master/mlt.spec
https://github.com/rpmfusion/mlt/raw/master/mlt.spec
Comment 14 Luya Tshimbalanga 2016-03-25 00:44:27 EDT
Any update?
Comment 15 Sergio Monteiro Basto 2016-03-27 15:42:14 EDT
(In reply to Jon Ciesla from comment #7)
> I made a build with avformat, kdenlive and kino removed.  Doesn't require
> ffmpeg.
> 
> SPEC: https://fedorapeople.org/~limb/review/mlt/mlt.spec
> SRPM: https://fedorapeople.org/~limb/review/mlt/mlt-0.9.8-2.fc23.src.rpm

Jon Ciesla, have you remove things form the source ? what ? can you provide a script ? 

Thanks !
Comment 16 Sergio Monteiro Basto 2016-03-28 23:18:24 EDT
Ok, no need remove things from the source, I may try change mlt in RPMFusion to only provide : /usr/lib64/mlt/libmltavformat.so and /usr/share/mlt/avformat content, but have mlt duplicated doesn't seems bad to me, at least at begin . 

Here is my propose, just have disable avformat module because Fedora builds doesn't have ffmpeg: 

SPEC: https://sergiomb.fedorapeople.org/mlt/mlt.spec
SRPM: https://sergiomb.fedorapeople.org/mlt/mlt-6.0.0-2.fc23.src.rpm

Note : maybe I also should disable kdenlive and xine modules but they build without respective kdenlive and xine-lib sources in buildroot ...
Comment 17 Luya Tshimbalanga 2016-03-29 01:49:10 EDT
Quick question, is it possible to make modules like mlt-core, mlt-avformat, mlt-kdenlive and mlt-disable-kino? Case in the points are kernel and wine.
Comment 18 Sergio Monteiro Basto 2016-03-29 11:25:57 EDT
(In reply to Luya Tshimbalanga from comment #17)
> Quick question, is it possible to make modules like mlt-core, mlt-avformat,
> mlt-kdenlive and mlt-disable-kino? Case in the points are kernel and wine.

To exemplify I built mlt on copr [1], just with Fedora repos, we can build all modules except avformat. In my build I don't enable or disable any modules mlt check for requirements if don't have the requirements, don't build the module, also don't build deprecated modules and dv, kino, and vorbis modules are deprecated [2]. Do you want/need any of deprecated modules like kino ? 

Anyway, can someone review my MLT package review proposed ?  I don't mind be the maintainer of MLT in Fedora , I'm already in RPM Fusion.

SPEC: https://sergiomb.fedorapeople.org/mlt/mlt.spec
SRPM: https://sergiomb.fedorapeople.org/mlt/mlt-6.0.0-3.fc23.src.rpm


[1] https://copr.fedorainfracloud.org/coprs/sergiomb/buildsforF21/build/171828/

[2] https://github.com/mltframework/mlt/commit/9d082192a4d79157e963fd7f491da0f8abab683f
Comment 19 Gwyn Ciesla 2016-06-24 09:49:32 EDT
Hi everyone, sorry for the delay.  This fell off my radar, and I'm putting it back. :)

Sergio, this looks good, though there are some BSD-licensed bits in win32.

I'll try this with the latest synfig bits and let you know.  If all is well, I can review and you can own, if that's alright with you.
Comment 20 Gwyn Ciesla 2016-06-24 12:10:49 EDT
I had to use a git clone of 1.1.10 to fix build issues, but it all works.  Let me know how you want to proceed with the review.
Comment 21 Sergio Monteiro Basto 2016-06-24 12:18:39 EDT
I will try to this in next 24 hours , I'm in middle of some tasks now , but my plan is 
SPEC: https://sergiomb.fedorapeople.org/mlt/mlt.spec
SRPM: https://sergiomb.fedorapeople.org/mlt/mlt-6.0.0-3.fc23.src.rpm

with last 2 or 3 commits in : 
https://pkgs.rpmfusion.org/cgit/free/mlt.git/?h=f24
Comment 22 Gwyn Ciesla 2016-06-24 12:26:59 EDT
Excellent, thanks!
Comment 24 Dan Horák 2016-06-25 17:18:24 EDT
please switch
%ifarch ppc ppc64
into
%ifnarch %{ix86} x86_64
otherwise remaining secondary arches (aarch64, s390x, ...) will see build failure
Comment 25 Sergio Monteiro Basto 2016-06-25 19:36:43 EDT
(In reply to Dan Horák from comment #24)
> please switch
> %ifarch ppc ppc64
> into
> %ifnarch %{ix86} x86_64
> otherwise remaining secondary arches (aarch64, s390x, ...) will see build
> failure

done , I reupload spec and src.rpm
Comment 26 Luya Tshimbalanga 2016-06-28 01:35:19 EDT
(In reply to Sergio Monteiro Basto from comment #18)
> (In reply to Luya Tshimbalanga from comment #17)
> > Quick question, is it possible to make modules like mlt-core, mlt-avformat,
> > mlt-kdenlive and mlt-disable-kino? Case in the points are kernel and wine.
> 
> To exemplify I built mlt on copr [1], just with Fedora repos, we can build
> all modules except avformat. In my build I don't enable or disable any
> modules mlt check for requirements if don't have the requirements, don't
> build the module, also don't build deprecated modules and dv, kino, and
> vorbis modules are deprecated [2]. Do you want/need any of deprecated
> modules like kino ? 


Kino module is not needed for the Design Suite which bundles the old version of Synfig Studio. You get an idea about Synfig Studio requirement: http://wiki.synfig.org/Developer_Documentation
Comment 27 Sergio Monteiro Basto 2016-06-28 13:15:46 EDT
Jon Ciesla , can you review it ? , should I open a new bug report with me as reporter and you as reviewer  ? 

Thanks.
Comment 28 Gwyn Ciesla 2016-06-28 13:20:45 EDT
Yes, I'll review this one.
Comment 29 Gwyn Ciesla 2016-06-28 13:59:29 EDT
- rpmlint checks return:

mlt.src: W: spelling-error Summary(en_US) transcoders -> trans coders, trans-coders, transponders
The value of this tag appears to be misspelled. Please double-check.

mlt.src: W: spelling-error %description -l en_US transcoders -> trans coders, trans-coders, transponders
The value of this tag appears to be misspelled. Please double-check.

mlt.src: W: spelling-error %description -l en_US xml -> XML, ml, x ml
The value of this tag appears to be misspelled. Please double-check.

mlt.src: W: spelling-error %description -l en_US extendible -> extensible, extendable, vendible
The value of this tag appears to be misspelled. Please double-check.

. . .and several incorrect FSF addresses.  Ignorable.


- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv3 and LGPLv2+ ) OK, but there are some BSD-licensed bits in win32., text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

So it looks great.  You might want to address the BSD bits in the Windows portion in some way.

APPROVED
Comment 30 Sergio Monteiro Basto 2016-06-29 02:06:18 EDT
Hi, 
Should a change License to  GPLv3 and LGPLv2+ and BSD  ? 

-License:        GPLv3 and LGPLv2+
+# mlt/src/win32/fnmatch.{c,h} are BSD-licensed.
+License:        GPLv3 and LGPLv2+ and BSD


Also I report upstream the incorrect-fsf-address : https://github.com/mltframework/mlt/issues/116

I have to move the ticket to https://bugzilla.redhat.com/show_bug.cgi?id=1351041 , please approve it again ... 

Thanks.

*** This bug has been marked as a duplicate of bug 1351041 ***

Note You need to log in before you can comment on or make changes to this bug.